Subject: bug#12258: 24.2.50; OS X dialog box locks emacs

From: Jan Djärv <[email-masked]>
Date: Thu, 23 Aug 2012 18:50:25 +0200

Hello.

22 aug 2012 kl. 15:11 skrev Ivan Andrus:

> Starting from emacs -Q, evaluating the following causes a dialog to
> appear.  It is impossible to dismiss the dialog and impossible to
> interact with the rest of emacs. 
> 
> (let ((last-nonmenu-event nil)
>      (use-dialog-box t))
>  (y-or-n-p "Cache preamble? "))
> 
> It should be noted that I found this when I clicked on the
> preview-at-point toolbar button in AUCTeX, so artificially setting
> last-nonmenu-event seems justifiable.

I can't reproduce this, either on 10.7 or 10.8.  I tried about 50 times...
Does it happen always?

	Jan D.

> 
> In GNU Emacs 24.2.50.4 (i386-apple-darwin10.8.0, NS apple-appkit-1038.36)
> of 2012-08-22 on oroszlan.local
> Bzr revision: 109750 [email-masked]
> Windowing system distributor `Apple', version 10.3.1038
> Configured using:
> `configure '--with-ns''
> 
> Important settings:
>  value of $LC_CTYPE: UTF-8
>  locale-coding-system: utf-8-unix
>  default enable-multibyte-characters: t
> 
> Major mode: LaTeX
> 
> Minor modes in effect:
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  tool-bar-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  line-number-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> M-x r e p o <tab> r <tab> <return>
> 
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Applying style hooks... done
> Loading vc-hg...done
> Making completion list...
> user-error: Beginning of history; no preceding item
> user-error: End of history; no default available
> user-error: Beginning of history; no preceding item
> ns-copy-including-secondary: The mark is not set now, so there is no region
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
> gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
> mail-prsvr mail-utils help-mode vc-hg preview prv-emacs byte-opt tex-bar
> tex-buf toolbar-x noutline outline font-latex warnings bytecomp
> byte-compile cconv macroexp latex easy-mmode edmacro kmacro tex-style
> tex latexenc ac-slime-autoloads ace-jump-mode-autoloads
> ack-and-a-half-autoloads adaptive-wrap-autoloads
> applescript-mode-autoloads auctex-autoloads tex-site info easymenu
> browse-kill-ring-autoloads buffer-move-autoloads c-eldoc-autoloads
> columnify-autoloads command-frequency-autoloads company-autoloads
> debbugs-autoloads diff-hl-autoloads drag-stuff-autoloads
> durendal-autoloads ein-autoloads emstar-autoloads feature-mode-autoloads
> goto-last-change-autoloads graphviz-dot-mode-autoloads
> highlight-parentheses-autoloads highlight-symbol-autoloads
> hl-sexp-autoloads jump-char-autoloads keyfreq-autoloads
> linum-relative-autoloads mark-multiple-autoloads
> markdown-mode+-autoloads markdown-mode-autoloads
> multiple-cursors-autoloads paredit-autoloads parenface-autoloads
> python-mode-autoloads redo+-autoloads rw-hunspell-autoloads
> scpaste-autoloads htmlize-autoloads scss-mode-autoloads
> slime-clj-autoloads slime-fuzzy-autoloads slime-ritz-autoloads
> smarter-compile-autoloads smex-autoloads speck-autoloads
> swank-clojure-autoloads advice help-fns advice-preload
> clojure-mode-autoloads slime-repl-autoloads slime-autoloads
> undo-tree-autoloads vala-mode-autoloads websocket-autoloads
> wgrep-autoloads xml-rpc-autoloads package time-date tooltip ediff-hook
> vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image
> regexp-opt fringe tabulated-list newcomment lisp-mode register page
> menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
> syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
> vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
> romanian slovak czech european ethiopic indian cyrillic chinese
> case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
> button faces cus-face files text-properties overlay sha1 md5 base64
> format env code-pages mule custom widget hashtable-print-readable
> backquote make-network-process ns multi-tty emacs)
> 
>